# Class StatChangePhase

#### Hierarchy (view full)

- PokemonPhase
  - StatChangePhase

- Defined in src/phases.ts:3102

#####
Index

### Constructors

constructor

### Properties

battlerIndex
canBeCopied
fieldIndex
ignoreAbilities
levels
player
scene
selfTarget
showMessage
stats

### Methods

aggregateStatChanges
end
executeForAll
getOrder
getPokemon
getRandomStat
getStatChangeMessages
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new StatChangePhase(scene, battlerIndex, selfTarget, stats, levels, showMessage?, ignoreAbilities?, canBeCopied?): StatChangePhase

- #### Parameters

  - scene: default
  - battlerIndex: BattlerIndex
  - selfTarget: boolean
  - stats: BattleStat []
  - levels: number
  - showMessage: boolean = true
  - ignoreAbilities: boolean = false
  - canBeCopied: boolean = true

  #### Returns StatChangePhase

  Overrides PokemonPhase.constructor

  - Defined in src/phases.ts:3110

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from PokemonPhase.battlerIndex

- Defined in src/phases.ts:688

### `Private` canBeCopied

canBeCopied: boolean

- Defined in src/phases.ts:3108

### fieldIndex

fieldIndex: number

Inherited from PokemonPhase.fieldIndex

- Defined in src/phases.ts:690

### `Private` ignoreAbilities

ignoreAbilities: boolean

- Defined in src/phases.ts:3107

### `Private` levels

levels: number

- Defined in src/phases.ts:3105

### player

player: boolean

Inherited from PokemonPhase.player

- Defined in src/phases.ts:689

### `Protected` scene

scene: default

Inherited from PokemonPhase.scene

- Defined in src/phase.ts:4

### `Private` selfTarget

selfTarget: boolean

- Defined in src/phases.ts:3104

### `Private` showMessage

showMessage: boolean

- Defined in src/phases.ts:3106

### `Private` stats

stats: BattleStat []

- Defined in src/phases.ts:3103

## Methods

### aggregateStatChanges

- aggregateStatChanges(random?): void

- #### Parameters

  - random: boolean = false

  #### Returns void

  - Defined in src/phases.ts:3241

### end

- end(): void

- #### Returns void

  Inherited from PokemonPhase.end

  - Defined in src/phase.ts:17

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PokemonPhase.executeForAll

  - Defined in src/phases.ts:681

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from PokemonPhase.getOrder

  - Defined in src/phases.ts:659

### getPokemon

- getPokemon(): default

- #### Returns default

  Inherited from PokemonPhase.getPokemon

  - Defined in src/phases.ts:704

### getRandomStat

- getRandomStat(): BattleStat

- #### Returns BattleStat

  - Defined in src/phases.ts:3236

### getStatChangeMessages

- getStatChangeMessages(stats, levels, relLevels): string[]

- #### Parameters

  - stats: BattleStat []
  - levels: number
  - relLevels: number[]

  #### Returns string[]

  - Defined in src/phases.ts:3271

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from PokemonPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PokemonPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides PokemonPhase.start

  - Defined in src/phases.ts:3121